#!/bin/csh -f

echo Distributing version $argv
echo Run this script from support/scripts!

cd ../..

echo Now in
pwd

mkdir 7dayband"$argv"

cd 7dayband"$argv"

echo Now in
pwd


echo Copying source files...
mkdir src
cp ../*.cpp src
cp ../*.h src
cp ../*.txt src
cp ../*.TXT src
rm src/TODO.TXT
cp ../*.c src
cp ../*.cfg src

mkdir src/support
mkdir src/support/enummaker
cp ../support/enummaker/Makefile src/support/enummaker
cp ../support/enummaker/enummaker.cpp src/support/enummaker
cp ../support/enummaker/enummaker.sln src/support/enummaker
cp ../support/enummaker/enummaker.vcproj src/support/enummaker
cp ../support/enummaker/enummaker.py src/support/enummaker
mkdir src/support/scripts
cp ../support/scripts/builddist.sh src/support/scripts
mkdir src/support/fontbuilder
cp ../support/fontbuilder/*.png src/support/fontbuilder
cp ../support/fontbuilder/*.ttf src/support/fontbuilder
cp ../support/fontbuilder/*.txt src/support/fontbuilder

mkdir src/lib
mkdir src/rooms
mkdir src/save
cp ../rooms/*.map src/rooms
mkdir src/windows
cp ../windows/*.sln src/windows
cp ../windows/*.vcproj src/windows
cp ../windows/*.rc src/windows
cp ../windows/*.ico src/windows

mkdir src/linux
cp ../linux/Makefile src/linux
cp ../linux/*.TXT src/linux
cp ../linux/*.sh src/linux

echo Copying Windows Files

cp ../text.txt .
cp ../README.TXT .
cp ../7drlchanges.TXT .
mkdir save
mkdir rooms
cp ../rooms/*.map rooms
mkdir windows
cp ../windows/Release/*.exe windows
cp ../windows/*.dll windows
cp ../windows/*.lib windows
cp ../windows/*.png windows

cp "e:/MSVC/2019/Community/VC/Redist/MSVC/14.24.28127/x64/Microsoft.VC142.CRT"/* windows

cp ../7dayband.cfg .

mkdir music

echo All done!  Zipping.

cd ..
rm -f 7dayband"$argv".zip
7za a 7dayband"$argv".zip 7dayband"$argv"

